### Constructor

# Gtk FileChooserDialognew

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_file_chooser_dialog_new (
      const char* title,
      GtkWindow* parent,
      GtkFileChooserAction action,
      const char* first_button_text,
      ...
    )

#### Description [src]

Creates a new `GtkFileChooserDialog`.

This function is analogous to `gtk_dialog_new_with_buttons()`.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

This method is not directly available to language bindings.

#### Parameters

`title`

  Type: `const char*`

  Title of the dialog.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parent`

  Type: `GtkWindow`

  Transient parent of the dialog.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`action`

  Type: `GtkFileChooserAction`

  Open or save mode for the dialog.

`first_button_text`

  Type: `const char*`

  Text to go in the first button.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Response ID for the first button, then additional (button, id) pairs, ending with `NULL`.

#### Return value

Type: `GtkWidget`

A new `GtkFileChooserDialog`

The data is owned by the called function.